Security Advisory Notices

We sometimes release security updates to address important issues and vulnerabilities that could affect your WHMCS installation.

We recommend that you apply security updates as soon as possible to keep your WHMCS installation safe.

Finding Security Updates

Security updates will display in Utilities > Update WHMCS when they become available.

You can find security announcements in our Security Blog.

Security Levels

When we release a security update, we classify the related issues according to their risk level:

Security LevelDescription
CriticalA critical rating applies to vulnerabilities that allow remote, unauthenticated access and code execution, with no user interaction required. These would allow complete system compromise and can easily be exploited by automated scripts such as worms.
ImportantAn important rating applies to vulnerabilities that allow system authentication levels to be compromised. These include allowing local users to elevate their privilege levels, unauthenticated remote users to see resources that should require authentication to view, the execution of arbitrary code by remote users, or any local or remote attack that could result in an denial of service.
ModerateA moderate rating applies to vulnerabilities that rely on unlikely scenarios in order to compromise the system. These usually require that a flawed or unlikely configuration of the system be in place, and only occur in rare situations.
TrivialA trivial rating applies to vulnerabilities that do not fit into the higher categories. These vulnerabilities occur in very unlikely situations and configurations, often requiring extremely tight timing of execution and/or for events to occur that are out of the attacker’s control. This rating may also be given to vulnerabilities that, even if successful, impose few or no consequences on the system.

Last modified: May 28, 2024